Bug 1889943 - EgressNetworkPolicy does not work when setting Allow rule to a dnsName
Summary: EgressNetworkPolicy does not work when setting Allow rule to a dnsName
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Alexander Constantinescu
QA Contact: huirwang
URL:
Whiteboard:
: 1812333 (view as bug list)
Depends On:
Blocks: 1891454
TreeView+ depends on / blocked
 
Reported: 2020-10-21 03:07 UTC by yhe
Modified: 2020-10-29 12:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1891454 (view as bug list)
Environment:
Last Closed: 2020-10-22 17:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description yhe 2020-10-21 03:07:52 UTC
Description of problem:
EgressNetworkPolicy works as expected when setting the Allow rule to a cidrSelector, but when setting the Allow rule to a dnsName, the access to the dnsName is blocked.
After checking the ovs rules in the ovs pod, the Allow rule is added to the ovs rules in the cidrSelector case but is not added to the ovs rules in the dnsName case.
Will upload the checking results later.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an EgressNetworkPolicy with an Allow rule to a dnsName.
2. Check whether the access to the dnsName can get through
3.

Actual results:
The access is blocked

Expected results:
The access can get through

Additional info:

Comment 14 Alexander Constantinescu 2020-10-26 09:32:06 UTC
*** Bug 1812333 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.